Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

From: Tomonori Takeda <[email-masked]>
Date: Sat, 17 Jan 2015 13:58:35 +0000

Hello, 

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft. 

Document: draft-ietf-ccamp-general-constraint-encode-16.txt 
Reviewer: Tomonori Takeda
Review Date: 17 January, 2015
IETF LC End Date: 17 January, 2015
Intended Status: Standards Track

Summary:

This document is basically ready for publication, but has nits that should be considered prior to publication.

Comments:

This document specifies protocol-agnostic encodings for general information elements described in draft-ietf-ccamp-rwa-info.
I think the document is in good shape but there are a few points that should be clarified for better understanding.

Major Issues:

None

Minor Issues:

None

Nits:

1) In section 1.2, label continuity constraint (e.g., wavelength continuity in WSON) is mentioned. However, I am not sure whether information elements for which this document specifies encodings can describe such constraint. My reading is that information element such as Port Label Restriction is rather for describing wavelength tuning capabilities/restrictions.

2) In section 2.1, it says "two matrices will not have the same {src port, src label, dst port, dst label}". To be precise, I guess this should be "two matrices will not have the same {src port, src label}, and two matrices will not have the same {dst port, dst label}"?

3) In section 2.1, it says "The value of 0xFF is reserved for use with port wavelength constraints". I think "port wavelength constraints" should be "port label restriction".

4) In section 2.1, for Link Set A dir=bidirectional, Link Set B dir=bidirectional, if any signal on an input link X is output on a link Y, then any signal on an input link Y is output on a link X (after cross-connect)? Or any constraint on such signal flow (after cross-connect) is out of scope?

5) In section 2.2.1, it says "In this case the accompanying label set indicates the labels permitted on the port." I think "port" should be "port/matrix".

6) In section 2.2.2, it would be better to describe the type (e.g., integer) for MaxNumChannels.
This also applies for MaxLabelRange (in section 2.2.3) and Num Labels (in section 2.6).

7) In section 2.6, it says "Label Set Field is used within the <AvailableLabels> or the <SharedBackupLabels>". But I think Label Set Field is also used within SIMPLE_LABEL, LABEL_RANGE and SIMPLE_LABEL & CHANNEL_COUNT.

Thanks,
Tomonori

---

From: Leeyoung <[email-masked]>
Date: Mon, 19 Jan 2015 18:36:02 +0000

Hello, 

Document: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt
Reviewer: Young Lee
Review Date: 19 January, 2015
IETF LC End Date: not sure
Intended Status: Standards Track

Summary:

This document is ready for publication, but has nits that should be considered prior to publication.

Comments:

This document specifies the configuration of proactive MPLS-TP OAM functions carried by the GMPLS RSVP-TE protocols based on the OAM Configuration Framework for GMPLS RSVP-TE. The document is in good shape but there are a few points that should be clarified to improve the readability. 

Major Issues:

None

Minor Issues:

None

Nits:

1) In Abstract and other parts, should 'pro-active' be replaced with 'proactive'? Perhaps, there may be a reason for the hyphen, but I was not sure. 

2) In Introduction, I would suggest:

OLD: The use of GMPLS RSVP-TE for the configuration of OAM
   functions is defined in a technology agnostic way in [RFC7260].
NEW: [RFC7260] defines The use of GMPLS RSVP-TE for the configuration of OAM
   functions is defined in a technology agnostic way.

3) In Introduction (the second paragraph), I am not sure if you need, 'the Transport Profile of MPLS' after MPLS-TP. 

4) In Introduction (the fourth paragraph), is there any reference for the last sentence, "Additionally, there is a number of Fault Management Signals that can be configured."? Also suggest:

OLD: Additionally
New: Additionally, 

5) In Section 3.1 (the second paragraph): This sub-TLV as has to be examined... I would suggest replacing 'has to be' to either MUST or SHOULD. 

6) In Section 3.2: - "BFD Configuration sub-TLV", which MUST be included if the CC
      and/or the CV OAM Function flag is set. It was not clear to me where the CC and/or CV OAM Function Flag is set. Reference would be good. I presume it is the OAM Configuration TLV in [RFC7260]. 

7) I have similar comments as 6) throughout this section when you refer to 'N' flag, 'I' flag, etc. 

8) In Section 3.2:

 OLD: - MPLS OAM Configuration sub-TLV MAY be empty, i.e. have no Value.
      Then its Length MUST be 8.  Then all OAM functions that have their
      corresponding flags set in the "OAM Function Flags sub-TLV" MUST
      be assigned their default values or left disabled.

 NEW: - If MPLS OAM Configuration sub-TLV MAY be empty, i.e. have no Value,
      then its Length MUST be 8 and all OAM functions that have their
      corresponding flags set in the "OAM Function Flags sub-TLV" MUST
      be assigned their default values or left disabled.

 OLD: - sub-TLV that doesn't have corresponding flag set MUST be
      silently ignored;

 NEW: - Sub-TLV.... (Capitalize) 

 OLD: - if multiple copies of a sub-TLV are present, then only the first
      sub-TLV MUST be used and the remaining sub-TLVs MUST be silently
      ignored.

 NEW: - If multiple.... (Capitalize) 

9) Section 3.2.1, it would be easier to trace if you would reference for the first sentence, similar to comment 4). 

Thanks,
Young

---

From: Leeyoung <[email-masked]>
Date: Mon, 19 Jan 2015 20:04:11 +0000

Hi,

Sorry, one of the nits had a nit: I should be:

OLD: The use of GMPLS RSVP-TE for the configuration of OAM
   functions is defined in a technology agnostic way in [RFC7260].
NEW: [RFC7260] defines use of GMPLS RSVP-TE for the configuration of OAM
   functions in a technology agnostic way.

Thanks,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: Monday, January 19, 2015 12:36 PM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hello, 

Summary:

Comments:

Major Issues:

None

Minor Issues:

None

Nits:

OLD: Additionally
New: Additionally, 

8) In Section 3.2:

Thanks,
Young

---

From: Leeyoung <[email-masked]>
Date: Mon, 19 Jan 2015 22:54:18 +0000

Hi Tomonori,

Thanks for providing good comments. Here's my response. Please see in-line.

Regards,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Tomonori Takeda
Sent: Saturday, January 17, 2015 7:59 AM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hello, 

Summary:

Comments:

Major Issues:

None

Minor Issues:

None

Nits:

YOUNG>> Label continuity constraints can be inferred from the two places in the draft: (i) Port Label Restriction, which gives the set of labels (wavelengths) that may not be available on certain links including tuning range/restriction; (ii) Available/Shared Backup Label Fields (section 2.4 & section 2.5). There is no encoding for label continuity constraint per se. The aforementioned constraints are encoded to give a node or a PCE to be able to compute a path (i.e., path with wavelength continuity) subject to these constraints. 

YOUNG>> I think your suggestion may be too restrictive. For instance, if we have one source (port 1) and one destination (port 2) with two labels each. Then we would have: {(1,1,2,1), (1,1,2,2), (1,2,2,1), (1,2,2,2)} I think with the current statement, we can send this info in any combination of multiple matrices, which I think perfectly fine. With your suggestion, I would not be able send (1,1,2,1) and (1,1,2,2) together. Why would this not be made possible? My take is as long as each submatrix represents a set of disjoint quadruples, that should be allowed. 

YOUNG>> Yes, thanks. 

YOUNG>> I am not sure what "after cross-connect" is meant. 

YOUNG>> Yes, thanks. 

YOUNG>> OK. 

YOUNG>> Yes, it is used in multiple places. 

How about:
OLD: Label Set Field is used within the <AvailableLabels> or the
   <SharedBackupLabels>, which is defined in Section 2.4. and 2.5.,
   respectively.
NEW: Label Set Field is used within the <AvailableLabels> or the
   <SharedBackupLabels>, which is defined in Section 2.4. and 2.5.,
   respectively. It is also used within the <SIMPLE_LABEL>, 
   <LABEL_RANGE>, <SIMPLE_LABEL> or <CHANNEL_COUNT>, which is defined
   in Sections 2.1.1 - 2.1.4, respectively. 

Thanks,
Tomonori

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 20 Jan 2015 02:08:23 +0000

Hi Young,
thank you for your through review and considerate comments.
Please find my answers in-line and tagged GIM>>.
Please let me know whether we should publish the new version or address these comments as part of RFC Editor update.

	Regards,
		Greg

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Monday, January 19, 2015 12:04 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi,

GIM>> Accepted, done.

Thanks,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: Monday, January 19, 2015 12:36 PM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hello, 

Summary:

Comments:

Major Issues:

None
GIM>> Thank you

Minor Issues:

None
GIM>> Thank you

Nits:

1) In Abstract and other parts, should 'pro-active' be replaced with 'proactive'? Perhaps, there may be a reason for the hyphen, but I was not sure. 
GIM>> I find that 'proactive' is more common form. Accepted and updated.

GIM>> I think that the very first note addresses this change already.

3) In Introduction (the second paragraph), I am not sure if you need, 'the Transport Profile of MPLS' after MPLS-TP. 
GIM>> I think it is acceptable, somewhat conversational form.

4) In Introduction (the fourth paragraph), is there any reference for the last sentence, "Additionally, there is a number of Fault Management Signals that can be configured."? Also suggest:
GIM>> Added reference to RFC  6427.

OLD: Additionally
New: Additionally, 
GIM>> Done

5) In Section 3.1 (the second paragraph): This sub-TLV as has to be examined... I would suggest replacing 'has to be' to either MUST or SHOULD. 
GIM>> Updated " This sub-TLV MUST be examined even by intermediate nodes that support these extensions ..."

6) In Section 3.2: - "BFD Configuration sub-TLV", which MUST be included if the CC
      and/or the CV OAM Function flag is set. It was not clear to me where the CC and/or CV OAM Function Flag is set. Reference would be good. I presume it is the OAM Configuration TLV in [RFC7260]. 
GIM>> Updated " "BFD Configuration sub-TLV", which MUST be included if either the CC, the CV or both OAM Function flags being set in the OAM Function Flags Sub-TLV [RFC7260]."

7) I have similar comments as 6) throughout this section when you refer to 'N' flag, 'I' flag, etc. 
GIM>> Is this the following:
" "Performance Monitoring sub-TLV", which MUST be included if any of the PM/Delay, PM/Loss or PM/Throughput flags are set in the "OAM Function Flag sub-TLV [RFC7260]." (reference added)

8) In Section 3.2:

GIM>> I think "If" and "MAY" don't match in the same sentence. I think it is one or another. 'MAY' being normative seems more suitable.

 NEW: - Sub-TLV.... (Capitalize) 
GIM>> Done and s/;/./ Then capitalized next line, s/if/If/ as suggested below.

9) Section 3.2.1, it would be easier to trace if you would reference for the first sentence, similar to comment 4). 
GIM>> Updated to:
"If the CV flag is set in the OAM Function Flags Sub-TLV [RFC7260], then ..."

Thanks,
Young

---

From: Leeyoung <[email-masked]>
Date: Tue, 20 Jan 2015 16:30:38 +0000

Hi Greg,

Thanks. I think this document is ready for revision. No further issue is pending to me. 

Regards,
Young

-----Original Message-----
From: Gregory Mirsky [mailto:[email-masked]] 
Sent: Monday, January 19, 2015 8:08 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi Young,

	Regards,
		Greg

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Monday, January 19, 2015 12:04 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi,

Thanks,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: Monday, January 19, 2015 12:36 PM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hello, 

Summary:

Comments:

Major Issues:

None
GIM>> Thank you

Minor Issues:

None
GIM>> Thank you

Nits:

OLD: Additionally
New: Additionally, 
GIM>> Done

8) In Section 3.2:

Thanks,
Young

---

From: Leeyoung <[email-masked]>
Date: Tue, 20 Jan 2015 17:05:50 +0000

Hi Greg,

What I meant was all my comments can be addressed as part of RFC Editor update.

Thanks,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: Tuesday, January 20, 2015 10:31 AM
To: Gregory Mirsky; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi Greg,

Regards,
Young

-----Original Message-----
From: Gregory Mirsky [mailto:[email-masked]] 
Sent: Monday, January 19, 2015 8:08 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi Young,

	Regards,
		Greg

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Monday, January 19, 2015 12:04 PM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hi,

Thanks,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: Monday, January 19, 2015 12:36 PM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-15.txt

Hello, 

Summary:

Comments:

Major Issues:

None
GIM>> Thank you

Minor Issues:

None
GIM>> Thank you

Nits:

OLD: Additionally
New: Additionally, 
GIM>> Done

8) In Section 3.2:

Thanks,
Young

---

From: Tomonori Takeda <[email-masked]>
Date: Wed, 21 Jan 2015 06:47:47 +0000

Hi Young,

Thanks.

Two follow-up questions/comments.
(I am fine with other points, which you already addressed in the updated draft.)

> 2) In section 2.1, it says "two matrices will not have the same {src port, src label, dst port, dst label}". To be precise, I guess this should be > "two matrices will not have the same {src port, src label}, and two matrices will not have the same {dst port, dst label}"?
> 
> YOUNG>> I think your suggestion may be too restrictive. For instance, if we have one source (port 1) and one destination (port 2) with two labels > each. Then we would have: {(1,1,2,1), (1,1,2,2), (1,2,2,1), (1,2,2,2)} I think with the current statement, we can send this info in any combination > of multiple matrices, which I think perfectly fine. With your suggestion, I would not be able send (1,1,2,1) and (1,1,2,2) together. Why would this > not be made possible? My take is as long as each submatrix represents a set of disjoint quadruples, that should be allowed.

My reading of "two matrices will not have the same {src port, src label, dst port, dst label}" is as follows.

<Example A>

  input port=1  --> Submatrix#1 --> output port=2
  input label=1                     output label=1

  input port=1  --> Submatrix#2 --> output port=2
  input label=1                     output label=2

  This is allowed.

<Example B>

  input port=1  --> Submatrix#1 --> output port=2
  input label=1                     output label=1

  input port=1  --> Submatrix#2 --> output port=2
  input label=1                     output label=1

  This is not allowed.

<Example C>

  input port=1  --> Submatrix#1 --> output port=2
  input label=1                     output label=1

  input port=1  --> Submatrix#2 --> output port=2
  input label=2                     output label=2

  This is allowed.

Is above understanding correct?
If so, I am not sure how example A works, since I am not sure what is the indentifier to direct from input to each submatrix.

Maybe I am mis-understanding what sub-matrix is. I thought sub-matrix is a sort of virtual node, splitting the single matrix (or switch) into smaller pieces.

> 4) In section 2.1, for Link Set A dir=bidirectional, Link Set B dir=bidirectional, if any signal on an input link X is output on a link Y, then any > signal on an input link Y is output on a link X (after cross-connect)? Or any constraint on such signal flow (after cross-connect) is out of scope?
> 
> <YOUNG>> I am not sure what "after cross-connect" is meant.

<Example>

  Link set A: link#1, link#2, link#3
  Link set B: link#4, link#5, link#6

  Both of Link set A and Link set B are specified as "dir".

  In this case,
  - Is it possible to problem the cross-connect as input=link#1, output=link#4
    & input=link#5, output=link#1 simultaneolusly?
  - Or is it automatically assumed if input=link#1, output=link#4,
    then input=link#4, output=link#1?
  - Or this sort of constraint is not specified in Link Set Field?

The text seems like saying the first option, but I do not think this is a common equipment implementaion.

Thanks,
Tomonori

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Tuesday, January 20, 2015 7:54 AM
To: Tomonori Takeda（武田知典）; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Tomonori,

Regards,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Tomonori Takeda
Sent: Saturday, January 17, 2015 7:59 AM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hello, 

Summary:

Comments:

Major Issues:

None

Minor Issues:

None

Nits:

YOUNG>> Yes, thanks. 

YOUNG>> Yes, thanks. 

YOUNG>> OK. 

How about:

Thanks,
Tomonori

---

From: Leeyoung <[email-masked]>
Date: Wed, 21 Jan 2015 17:43:34 +0000

Hi Tomonori,

Thanks for your comment. Please see in-line for my response. Please let me know if the response would satisfy you. 

Best regards,
Young

-----Original Message-----
From: Tomonori Takeda [mailto:[email-masked]] 
Sent: Wednesday, January 21, 2015 12:48 AM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'; Tomonori Takeda
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Young,

Thanks.

<Example A>

  This is allowed.

<Example B>

  This is not allowed.

<Example C>

  This is allowed.

YOUNG>> OK, I think the definition of submatrix was not clear. It is simply dividing up a matrix into several pieces in case the size of the matrix becomes too big or a way to advertize the changed port/label set in one place (sub-matrix) then other unchanged port/label set in other place (different sub-matrix). The identifier for each sub-matrix is the MATRIX ID. There is not separate identifier to direct from input. The input is a part of the sub-matrix. Say if we have N*M matrix that describes all input and output port/label. We might divide up into N*(M-L) and N*L or any other combinations as far as they are all disjoint from each other. 

<Example>

  In this case,

YOUGN>> OK. I think I understand you more clearly. For this case (bidirectional link sets), the first case is definitely not the intention. The second case is assumed. 

Thanks,
Tomonori

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Tuesday, January 20, 2015 7:54 AM
To: Tomonori Takeda（武田知典）; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Tomonori,

Regards,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Tomonori Takeda
Sent: Saturday, January 17, 2015 7:59 AM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hello, 

Summary:

Comments:

Major Issues:

None

Minor Issues:

None

Nits:

YOUNG>> Yes, thanks. 

YOUNG>> Yes, thanks. 

YOUNG>> OK. 

How about:

Thanks,
Tomonori

---

From: Tomonori Takeda <[email-masked]>
Date: Fri, 23 Jan 2015 08:01:32 +0000

Hi Young,

OK, thanks,

Tomonori

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Thursday, January 22, 2015 2:44 AM
To: Tomonori Takeda（武田知典）; Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Tomonori,

Best regards,
Young

-----Original Message-----
From: Tomonori Takeda [mailto:[email-masked]] 
Sent: Wednesday, January 21, 2015 12:48 AM
To: Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'; Tomonori Takeda
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Young,

Thanks.

<Example A>

  This is allowed.

<Example B>

  This is not allowed.

<Example C>

  This is allowed.

<Example>

  In this case,

Thanks,
Tomonori

-----Original Message-----
From: Leeyoung [mailto:[email-masked]] 
Sent: Tuesday, January 20, 2015 7:54 AM
To: Tomonori Takeda（武田知典）; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: RE: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hi Tomonori,

Regards,
Young

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Tomonori Takeda
Sent: Saturday, January 17, 2015 7:59 AM
To: [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Hello, 

Summary:

Comments:

Major Issues:

None

Minor Issues:

None

Nits:

YOUNG>> Yes, thanks. 

YOUNG>> Yes, thanks. 

YOUNG>> OK. 

How about:

Thanks,
Tomonori

---

From: Lou Berger <[email-masked]>
Date: Fri, 23 Jan 2015 11:42:22 -0500

Young,
	Can you review any changes planned as a result of the rtg-dir review?
Please also include any specific language changes, that you may have
already identified.

Thanks,
Lou (as doc Shepherd)

---

From: Leeyoung <[email-masked]>
Date: Fri, 23 Jan 2015 16:51:43 +0000

Hi Lou,

Are you referring 'any specific language changes' to Adrian's 'Resource' language? If so, yes, I expect Adrian's input on where to place any changes in the draft. Other than that I believe the version 17 (which was published) reflects Tomonori's rtg-dir review. Let me know if you believe any other aspect (other than 'resource' language) should be updated in the upcoming version 18.

Thanks,
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Friday, January 23, 2015 10:42 AM
To: Tomonori Takeda; Leeyoung; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Young,

Thanks,
Lou (as doc Shepherd)

---

From: Lou Berger <[email-masked]>
Date: Fri, 23 Jan 2015 12:22:10 -0500

Young,

On 1/23/2015 11:51 AM, Leeyoung wrote:
> Hi Lou,
>
> Are you referring 'any specific language changes' to Adrian's 'Resource' language? 
Actually, no.
> If so, yes, I expect Adrian's input on where to place any changes in the draft. Other than that I believe the version 17 (which was published) reflects Tomonori's rtg-dir review. Let me know if you believe any other aspect (other than 'resource' language) should be updated in the upcoming version 18.

I may have misunderstood the thread below, but I read it as there are
two areas in -17 that should be  clarified.

Thanks,
Lou

---

From: Leeyoung <[email-masked]>
Date: Fri, 23 Jan 2015 17:24:58 +0000

Lou,

I can add some clarifying text in the next revision. 

Thanks,
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Friday, January 23, 2015 11:22 AM
To: Leeyoung; Tomonori Takeda; [email-masked]
Cc: [email-masked]'; [email-masked]'; [email-masked]'
Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-ccamp-general-constraint-encode-16.txt

Young,

Actually, no.

Thanks,
Lou